<md-dialog flex="50" aria-label="Group" class="styled-modal" zafira-background-theme="modal">
    <form class="form-validation styled-modal__form" name="group_form" ng-submit="createGroup(group); switchMode(false); UtilService.untouchForm(group_form)" ng-cloak>
        <md-toolbar class="modal-header">
            <div class="md-toolbar-tools modal-header__wrapper">
                <h2 id="modalTitle" class="modal-header__title"><span ng-if="!group.id">New</span><span ng-if="group.id">Edit</span> group</h2>
                <span flex></span>
                <md-button id="close" class="md-icon-button _default-md-style" data-ng-click="cancel()">
                    <md-icon aria-label="Close dialog">close</md-icon>
                </md-button>
            </div>
        </md-toolbar>

        <md-dialog-content class="modal-content">
            <div class="md-dialog-content modal-content__wrapper">
                <div layout layout-xs="column" class="input-size-m">
                    <md-input-container>
                        <label>Group name</label>
                        <input id="groupName" type="text" name="name" data-ng-model="group.name" placeholder="" required>
                    </md-input-container>
                </div>
                <div>
                    <div ng-repeat="permission in allAvaliablePermissions" class="groups-modal__permissions-list">
                        <div class="groups-modal__permissions-wrapper">
                            <md-checkbox class="groups-modal__permissions-checkbox" ng-true-value="true" ng-false-value="false" ng-model="permission.value" ng-change="log(allAvaliablePermissions)" aria-label="Block"></md-checkbox>
                            <span name="permissionName" class="groups-modal__permissions-text text-capitalize">{{ permission.name.split('_').join(' ') }}</span>
                        </div>
                    </div>
                </div>
            </div>
        </md-dialog-content>

        <md-dialog-actions layout="row" class="styled-modal__controls-wrapper">
            <md-button id="cancel" class="cancel md-raised btn-w-md" ng-click="cancel()">
                Cancel
            </md-button>
            <md-button id="create" type="submit" class="md-button md-raised btn-w-md md-primary md-ink-ripple pull-right" ng-disabled="group_form.$invalid" ng-if="! group.id">
                Create
            </md-button>
            <md-button id="update" class="md-raised btn-w-md md-primary" ng-disabled="group_form.$invalid" ng-click="updateGroup(group)" ng-if="group.id">
                Update
            </md-button>
        </md-dialog-actions>
    </form>
</md-dialog>
